[CRIU] [PATCH] travis: execute tests from travis

Andrey Vagin avagin at openvz.org
Mon Feb 22 16:23:20 PST 2016


From: Andrew Vagin <avagin at virtuozzo.com>

We can't execute userns tests, because a kernel is too old there.

Signed-off-by: Andrew Vagin <avagin at virtuozzo.com>
---
 .travis.yml          |  1 +
 scripts/travis-tests | 11 +++++++++++
 2 files changed, 12 insertions(+)
 create mode 100755 scripts/travis-tests

diff --git a/.travis.yml b/.travis.yml
index b33b79d..e72c817 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -9,3 +9,4 @@ env:
   - TR_ARCH=aarch64
 before_install:
   - sudo make -C scripts/build $TR_ARCH
+  - sudo ./scripts/travis-tests $TR_ARCH
diff --git a/scripts/travis-tests b/scripts/travis-tests
new file mode 100755
index 0000000..d764d2c
--- /dev/null
+++ b/scripts/travis-tests
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -x -e
+
+test "$1" = "x86_64" || exit 0
+
+apt-get update -qq
+apt-get install -qq protobuf-c-compiler libprotobuf-c0-dev libaio-dev libprotobuf-dev protobuf-compiler python-ipaddr libcap-dev libnl-3-dev
+chmod a+x $HOME
+make
+make -C test/zdtm
+python test/zdtm.py run -a -f h,ns
-- 
2.5.0



More information about the CRIU mailing list